{% extends 'base_book.html.twig' %}

{% block title %}Аудиокниги Кот бегемот слушать онлайн бесплатно{% endblock %}


{% block body %}
    {#        <div class="card mb-5 rounded border-light" style="max-width: 700px;">#}
    {#            <div class="row no-gutters">#}
    {#                <div class="col-md-4">#}
    {#                    <a href="{{ path('show', {'slug': book.slug}) }}"><img width="277" height="387.8" class="card-img lozad" src="{{ book.cover }}" loading="lazy" alt="green apple slice"></a>#}
    {#                </div>#}
    {#                <div class="col-md-8 book-list-item-content">#}
    {#                    <div class="card-body">#}
    {#                        <h5 class="card-title"><a href="{{ path('show', {'slug': book.slug}) }}">{{ book.title }}</a></h5>#}
    {#                        <div>#}
    {#                            <div>#}
    {#                                <b>Автор:</b>#}
    {#                                <small>#}
    {#                                    {% for author in book.authors %}#}
    {#                                        <a href="{{ path('homepage', {'author': author.id}) }}">{{ author.name }}</a>{% if not loop.last %},{% endif %}#}
    {#                                    {% endfor %}#}
    {#                                </small>#}
    {#                            </div>#}

    {#                            <div>#}
    {#                                <b>Читает:</b>#}
    {#                                <small>#}
    {#                                    {% for performer in book.performer %}#}
    {#                                        <a href="{{ path('homepage', {'performer': performer.id}) }}">{{ performer.name }}</a>{% if not loop.last %},{% endif %}#}
    {#                                    {% endfor %}#}
    {#                                </small>#}
    {#                            </div>#}
    {#                            <div>#}
    {#                                <b>Жанр:</b>#}
    {#                                <small>#}
    {#                                    {% for genre in book.genres %}#}
    {#                                        <a href="{{ path('homepage', {'genre': genre.name}) }}">{{ genre.name }}</a>{% if not loop.last %},{% endif %}#}
    {#                                    {% endfor %}#}
    {#                                </small>#}
    {#                            </div>#}
    {#                        </div>#}
    {#                    </div>#}
    {#                </div>#}
    {#            </div>#}
    {#            <button class="btn btn-danger remove-from-shelf" data-content="{{ book.id }}">Удалить</button>#}
    {#        </div>#}
    <div class="app-text">
        {% for book in books %}
            <section class="book-card">
                {% for idx, book in books %}
                    <div class="card-item">
                        <div class="row no-gutters">
                            <div class="col-md-3">
                                <a href="{{ path('show', {'slug': book.slug}) }}">
                                    <img class="card-img load"
                                         src="{{ book.cover }}"
                                         loading="lazy"
                                         alt="green apple slice">
                                </a>
                            </div>
                            <div class="col-md-8 book-list-item-content">
                                <section class="card-body">
                                    <h5 class="card-title"><a
                                                href="{{ path('show', {'slug': book.slug}) }}">{{ book.title }}</a></h5>
                                    <div class="book-features">
                                        <div>
                                            <span>Автор:</span>
                                            {% for author in book.authors %}
                                                <a
                                                href="{{ path('homepage', {'author': author.id}) }}">{{ author.name }}</a>{% if not loop.last %},{% endif %}
                                            {% endfor %}
                                        </div>

                                        <div>
                                            <span>Читает:</span>
                                            {% for performer in book.performer %}
                                                <a
                                                href="{{ path('homepage', {'performer': performer.id}) }}">{{ performer.name }}</a>{% if not loop.last %},{% endif %}
                                            {% endfor %}
                                        </div>
                                        <div>
                                            <span class="title">Жанр:</span>
                                            {% for genre in book.genres %}
                                                <a
                                                href="{{ path('homepage', {'genre': genre.name}) }}">{{ genre.name }}</a>{% if not loop.last %},{% endif %}
                                            {% endfor %}
                                        </div>
                                    </div>
                                    <div class="card-body-description">
                                        <p>
                                            {# {{ book.description }} #}
                                            Mолодой Амброз Бишоп получает в наследство от деда старинный дом и
                                            перебирается
                                            в окрестности печально известного селения Данвич. Довольно скоро он
                                            выясняет, что
                                            старый Септимус Бишоп популярностью у этих невежественных людей не
                                            пользовался, &nbsp;да и ему самому предлагают убираться из этих мест подобру-поздорову...
                                        </p>
                                    </div>
                                    <button class="red-button" data-content="{{ book.id }}">Удалить</button>

                                </section>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </section>
    {% endfor %}
    </div>
    {% if 0 == books|length %}
        <div class="full-h text-center">
            <h5 class="mb-5" style="color: #c4c4c4">Здесь, пока, ничего нет. Попробуйте воспользоваться поиском или фильтром по жанрам.</h5>

            {% for genre in genres %}
                <a class="btn-light btn app-shadow m-1" href="{{ path('homepage', {'genre': genre.name}) }}">{{ genre.name }}</a>
            {% endfor %}
        </div>
    {% endif %}
    <div class="navigation">
        {{ knp_pagination_render(books) }}
    </div>


{% endblock %}
